Opened 7 years ago

Closed 7 years ago

#82 closed defect (invalid)

Moodle will not run with xcache at all

Reported by: vissa Owned by: moo
Priority: major Milestone: 1.2.1
Component: cacher Version: 1.0.3
Keywords: moodle xcache fatal error Cc:
Application: moodle PHP Version: 4.4.5
Other Exts: SAPI:
Probability: Blocked By:
Blocking:

Description

Xcache 1.0.3,
Moodle 1.4 dev (stable),
PHP 4.4.5,
RHEL 4

Note: I've seen reports of other major problems with other versions of moodle and other versions of xcache.

Moodle will not get anywhere with xcache running. Fatal Errors occur right at the course display page. Had to disable for the entire site. Sorry, can't post error message at the moment but will do so in a few days.

Change History (4)

comment:1 Changed 7 years ago by judas_iscariote

  • Milestone set to 1.2.1

I run a production site with moodle and works perfectly, however it runs with PHP 5.2.x, so this problem should be specific to PHP4.

comment:2 Changed 7 years ago by moo

  • Status changed from new to assigned

i'll try to reproduce it, but, please don't assume that we know all the php applications well. always tell us the url to reproduce it even it looks very easy to hit it.

you don't have to (and should not) post any sensitive content, including your domain name if you think it sensitive. just a relative url would be nice than nothing. thanks

comment:3 Changed 7 years ago by moo

  • Version changed from 1.2-dev to 1.0.3

hrm.. are u using 1.2-dev or 1.0.3? if u're using 1.0.x, try 1.2.0. there was something fixed for moodle but i don't have time to check out which release fixed it.

comment:4 Changed 7 years ago by moo

  • Resolution set to invalid
  • Status changed from assigned to closed

feel free to reopen if it's not fixed in 1.2.0

Note: See TracTickets for help on using tickets.